Skip to main content

Robot KPI

This section covers APIs to retrieve KPI metrics for robots. Metrics help in monitoring the performance, health, and other essential attributes of robots. The API supports fetching all available metrics or specific ones for individual robots.

Get All Metrics

Endpoint

GET /robots/metrics

Description

Fetches all available metrics for robots.

Example Metrics

Some of the available metrics include:

  • CPU
  • RAM
  • Disk
  • Battery
  • Odometry
  • Traffic
  • Storage
  • License Expired
  • Agent Hardware
  • Agent Software
  • Custom Metrics

Reponse example

{
"Metrics":
[
{"MetricType":1,"MetricName":"Cpu"},
{"MetricType":2,"MetricName":"Ram"},
{"MetricType":3,"MetricName":"Disk"},
{"MetricType":4,"MetricName":"Battery"},
{"MetricType":5,"MetricName":"Odometry"},
{"MetricType":6,"MetricName":"Traffic"},
{"MetricType":7,"MetricName":"Storage"},
{"MetricType":8,"MetricName":"LicenseExpired"},
{"MetricType":13,"MetricName":"AgentHw"},
{"MetricType":14,"MetricName":"AgentSw"},
{"MetricType":100,"MetricName":"Custom"}
]
}

Get Robot Metrics

Endpoint

GET /robot/{robotId}/metric/{metricType}

Description

Fetches a specific metric for a robot, identified by its robotId and the desired metricType.

Example Metrics

Some common metrics include:

  • CPU
  • RAM
  • Disk
  • Battery
  • Custom metrics based on the robot's functionality

URL Parameters

  • robotId: The unique identifier for the robot.
  • metricType: The type of metric to fetch (e.g., CPU, RAM, etc.).

Response Example

The response includes basic data about the robot and the requested metric:

{
"BasicData": {
"Id": "11111111-2122-1122-2233-555555319861",
"Name": "AMR-9"
},
"Metric": {
"$type": 2,
"Value": 54,
"Name": "DoubleMetric"
}
}

Get Robot Custom Metric

Endpoint

GET /robot/{robotId}/metric/{metricType}?metricName={MetricName}

Description

Fetches a specific custom metric for a robot, identified by its robotId and the desired metric name.

Example Metrics

Custom metric type is pre defined -

  • Custom metrics based on the robot's functionality (e.g user created custom metric called Apples, it will be defined as custom with the custom metric name - Apples)

URL Parameters

  • robotId: The unique identifier for the robot.
  • metricType: Should be Custom.
  • metricName: The givven name for the custom metric (e.g Apples)

Response Example

The response includes basic data about the robot and the requested metric:

{
"BasicData": {
"Id": "11111111-2122-1122-2233-555555319861",
"Name": "AMR-9"
},
"Metric": {
"$type": 3,
"Value": "2",
"Name": "StringMetric"
}
}